Skip to main content
GET
/
api
/
v1
/
tasks
/
{id.project}
/
{id.domain}
/
{id.name}
/
{id.version}
Fetch a :ref:`ref_flyteidl.admin.Task` definition
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/tasks/{id.project}/{id.domain}/{id.name}/{id.version}
{
  "id": {
    "resource_type": "UNSPECIFIED",
    "project": "<string>",
    "domain": "<string>",
    "name": "<string>",
    "version": "<string>",
    "org": "<string>"
  },
  "closure": {
    "compiled_task": {
      "template": {
        "id": {
          "resource_type": "UNSPECIFIED",
          "project": "<string>",
          "domain": "<string>",
          "name": "<string>",
          "version": "<string>",
          "org": "<string>"
        },
        "type": "<string>",
        "metadata": {
          "discoverable": true,
          "runtime": {
            "type": "OTHER",
            "version": "<string>",
            "flavor": "<string>"
          },
          "timeout": "<string>",
          "retries": {
            "retries": 123
          },
          "discovery_version": "<string>",
          "deprecated_error_message": "<string>",
          "interruptible": true,
          "cache_serializable": true,
          "tags": {},
          "pod_template_name": "<string>",
          "cache_ignore_input_vars": [
            "<string>"
          ],
          "is_eager": true,
          "generates_deck": true,
          "metadata": {
            "labels": {},
            "annotations": {}
          }
        },
        "interface": {
          "inputs": {
            "variables": {}
          },
          "outputs": {
            "variables": {}
          }
        },
        "custom": {},
        "container": {
          "image": "<string>",
          "command": [
            "<string>"
          ],
          "args": [
            "<string>"
          ],
          "resources": {
            "requests": [
              {
                "name": "UNKNOWN",
                "value": "<string>"
              }
            ],
            "limits": [
              {
                "name": "UNKNOWN",
                "value": "<string>"
              }
            ]
          },
          "env": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ],
          "config": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ],
          "ports": [
            {
              "container_port": 123,
              "name": "<string>"
            }
          ],
          "data_config": {
            "enabled": true,
            "input_path": "<string>",
            "output_path": "<string>",
            "format": "JSON",
            "io_strategy": {
              "download_mode": "DOWNLOAD_EAGER",
              "upload_mode": "UPLOAD_ON_EXIT"
            }
          },
          "architecture": "UNKNOWN"
        },
        "k8s_pod": {
          "metadata": {
            "labels": {},
            "annotations": {}
          },
          "pod_spec": {},
          "data_config": {
            "enabled": true,
            "input_path": "<string>",
            "output_path": "<string>",
            "format": "JSON",
            "io_strategy": {
              "download_mode": "DOWNLOAD_EAGER",
              "upload_mode": "UPLOAD_ON_EXIT"
            }
          },
          "primary_container_name": "<string>"
        },
        "sql": {
          "statement": "<string>",
          "dialect": "UNDEFINED"
        },
        "task_type_version": 123,
        "security_context": {
          "run_as": {
            "iam_role": "<string>",
            "k8s_service_account": "<string>",
            "oauth2_client": {
              "client_id": "<string>",
              "client_secret": {
                "group": "<string>",
                "group_version": "<string>",
                "key": "<string>",
                "mount_requirement": "ANY",
                "env_var": "<string>"
              }
            },
            "execution_identity": "<string>"
          },
          "secrets": [
            {
              "group": "<string>",
              "group_version": "<string>",
              "key": "<string>",
              "mount_requirement": "ANY",
              "env_var": "<string>"
            }
          ],
          "tokens": [
            {
              "name": "<string>",
              "type": "CLIENT_CREDENTIALS",
              "client": {
                "client_id": "<string>",
                "client_secret": {
                  "group": "<string>",
                  "group_version": "<string>",
                  "key": "<string>",
                  "mount_requirement": "ANY",
                  "env_var": "<string>"
                }
              },
              "idp_discovery_endpoint": "<string>",
              "token_endpoint": "<string>"
            }
          ]
        },
        "extended_resources": {
          "gpu_accelerator": {
            "device": "<string>",
            "unpartitioned": true,
            "partition_size": "<string>"
          },
          "shared_memory": {
            "mount_path": "<string>",
            "mount_name": "<string>",
            "size_limit": "<string>"
          }
        },
        "config": {}
      }
    },
    "created_at": "2023-11-07T05:31:56Z"
  },
  "short_description": "<string>"
}

Path Parameters

id.project
string
required

Name of the project the resource belongs to.

id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.name
string
required

User provided value for the resource.

id.version
string
required

Specific version of the resource.

Query Parameters

id.resource_type
enum<string>
default:UNSPECIFIED

Identifies the specific type of resource that this identifier corresponds to.

  • DATASET: A dataset represents an entity modeled in Flyte DataCatalog. A Dataset is also a versioned entity and can be a compilation of multiple individual objects. Eventually all Catalog objects should be modeled similar to Flyte Objects. The Dataset entities makes it possible for the UI and CLI to act on the objects in a similar manner to other Flyte objects
Available options:
UNSPECIFIED,
TASK,
WORKFLOW,
LAUNCH_PLAN,
DATASET
id.org
string

Optional, org key applied to the resource.

Response

A successful response.

Flyte workflows are composed of many ordered tasks. That is small, reusable, self-contained logical blocks arranged to process workflow inputs and produce a deterministic set of outputs. Tasks can come in many varieties tuned for specialized behavior.

id
object

Encapsulation of fields that uniquely identifies a Flyte resource.

closure
object

Compute task attributes which include values derived from the TaskSpec, as well as plugin-specific data and task metadata.

short_description
string

One-liner overview of the entity.